#ifndef THERMISTORSETTINGS_H
#define THERMISTORSETTINGS_H
#include <Arduino.h> //Necessaire afin d'avoir les types : uintxx_t

class ThermistorSettings
{
  public:
    ThermistorSettings(uint16_t beta, uint64_t rAt25);
    ~ThermistorSettings();
    uint16_t getBeta();
    uint64_t getRat25();
  protected:
  private:
    uint16_t _beta;
    uint64_t _rAt25;
};

#endif //THERMISTORSETTINGS_H
